Last Comment Bug 756238 - IonMonkey: Assertion failure: JSOp(*(script->code + tn->start + tn->length)) == JSOP_ENDITER, at ion/IonFrames.cpp:348
: IonMonkey: Assertion failure: JSOp(*(script->code + tn->start + tn->length)) ...
Status: RESOLVED FIXED
[jsbugmon:update][fuzzblocker]
: assertion, testcase
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Other Branch
: x86_64 Linux
: -- major (vote)
: ---
Assigned To: David Anderson [:dvander]
:
Mentors:
Depends on:
Blocks: langfuzz IonFuzz
  Show dependency treegraph
 
Reported: 2012-05-17 13:19 PDT by Christian Holler (:decoder)
Modified: 2013-01-14 08:27 PST (History)
6 users (show)
choller: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix (1.10 KB, patch)
2012-05-18 01:42 PDT, David Anderson [:dvander]
nicolas.b.pierron: review+
Details | Diff | Review

Description Christian Holler (:decoder) 2012-05-17 13:19:34 PDT
The following testcase asserts on ionmonkey revision 14735b4dbccc (run with --ion -n -m --ion-eager):


outer:
  for (var elem in {x:1})
    if (p > "q")
      continue outer;
Comment 1 David Anderson [:dvander] 2012-05-18 01:42:21 PDT
Created attachment 625035 [details] [diff] [review]
fix

Bogus assert - I missed this in the patch that fixed the other instance of script->code.
Comment 2 David Anderson [:dvander] 2012-05-18 11:02:15 PDT
http://hg.mozilla.org/projects/ionmonkey/rev/1322cb5d6684
Comment 3 Christian Holler (:decoder) 2013-01-14 08:27:27 PST
A testcase for this bug was automatically identified at js/src/jit-test/tests/ion/bug756238.js.

Note You need to log in before you can comment on or make changes to this bug.